# Visualization
TKService
ImageUtility

# ImageUtility_X11Dump Class Reference

`#include <ImageUtility_X11Dump.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | ImageUtility_X11Dump (const TCollection_AsciiString &DisplayName, const Handle(Image_Image)&aImage)
| Create a new X11 Display,Window,Colormap,GC,XImage suitable for aImage . .
Standard_EXPORT | ImageUtility_X11Dump (const ImageUtility_X11Dump &aX11Dump, const Handle(Image_Image)&aImage)
| Create a new X11 XImage and share Display,Window,Colormap, GC with a previous aX11Dump ; .
Standard_EXPORT ImageUtility_X11GC | X11GC () const
Standard_EXPORT ImageUtility_X11Window | X11Window () const
Standard_EXPORT ImageUtility_X11Display | X11Display () const
Standard_EXPORT ImageUtility_X11XImage | X11XImage () const
Standard_EXPORT void | UpdateX11Colormap () const
Standard_EXPORT void | UpdateX11XImage ()
Standard_EXPORT void | DisplayX11XImage () const

## Private Attributes

ImageUtility_X11Display | myDisplay
ImageUtility_X11Window | myWindow
ImageUtility_X11XImage | myXImage
ImageUtility_X11GC | myGC
Handle_Image_Image | myImage

## Constructor & Destructor Documentation

Standard_EXPORT ImageUtility_X11Dump::ImageUtility_X11Dump | ( | const TCollection_AsciiString & | DisplayName,
|  | const Handle(Image_Image)& | aImage
| ) |

Standard_EXPORT ImageUtility_X11Dump::ImageUtility_X11Dump | ( | const ImageUtility_X11Dump & | aX11Dump,
|  | const Handle(Image_Image)& | aImage
| ) |

## Member Function Documentation

Standard_EXPORT void ImageUtility_X11Dump::DisplayX11XImage | ( |  | ) | const

void ImageUtility_X11Dump::operator delete | ( | void * | anAddress | ) | `[inline]`

void* ImageUtility_X11Dump::operator new | ( | size_t | size | ) | `[inline]`

void* ImageUtility_X11Dump::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void ImageUtility_X11Dump::UpdateX11Colormap | ( |  | ) | const

Standard_EXPORT void ImageUtility_X11Dump::UpdateX11XImage | ( |  | ) |

Standard_EXPORT ImageUtility_X11Display ImageUtility_X11Dump::X11Display | ( |  | ) | const

Standard_EXPORT ImageUtility_X11GC ImageUtility_X11Dump::X11GC | ( |  | ) | const

Standard_EXPORT ImageUtility_X11Window ImageUtility_X11Dump::X11Window | ( |  | ) | const

Standard_EXPORT ImageUtility_X11XImage ImageUtility_X11Dump::X11XImage | ( |  | ) | const

## Field Documentation

ImageUtility_X11Display ImageUtility_X11Dump::myDisplay `[private]`

ImageUtility_X11GC ImageUtility_X11Dump::myGC `[private]`

Handle_Image_Image ImageUtility_X11Dump::myImage `[private]`

ImageUtility_X11Window ImageUtility_X11Dump::myWindow `[private]`

ImageUtility_X11XImage ImageUtility_X11Dump::myXImage `[private]`

The documentation for this class was generated from the following file:

- ImageUtility_X11Dump.hxx